package com.zhyc.module.produce.manage_sheep.mapper;

import java.util.List;
import com.zhyc.module.produce.manage_sheep.domain.ScChangeEar;
import org.apache.ibatis.annotations.Param;

/**
 * 修改电子耳号记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-24
 */
public interface ScChangeEarMapper 
{
    /**
     * 查询修改电子耳号记录
     * 
     * @param id 修改电子耳号记录主键
     * @return 修改电子耳号记录
     */
    public ScChangeEar selectScChangeEarById(Integer id);

    /**
     * 查询修改电子耳号记录列表
     * 
     * @param scChangeEar 修改电子耳号记录
     * @return 修改电子耳号记录集合
     */
    public List<ScChangeEar> selectScChangeEarList(ScChangeEar scChangeEar);

    /**
     * 新增修改电子耳号记录
     * 
     * @param scChangeEar 修改电子耳号记录
     * @return 结果
     */
    public int insertScChangeEar(ScChangeEar scChangeEar);

    /**
     * 修改修改电子耳号记录
     * 
     * @param scChangeEar 修改电子耳号记录
     * @return 结果
     */
    public int updateScChangeEar(ScChangeEar scChangeEar);

    /**
     * 删除修改电子耳号记录
     * 
     * @param id 修改电子耳号记录主键
     * @return 结果
     */
    public int deleteScChangeEarById(Integer id);

    /**
     * 批量删除修改电子耳号记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScChangeEarByIds(Integer[] ids);

    /**
     * 模糊搜索耳号
     */
    List<String> searchEarNumbers(@Param("query") String query);

    /* 列表查询支持多耳号模糊 */
    List<ScChangeEar> selectScChangeEarList(
            @Param("sc") ScChangeEar sc,
            @Param("manageTagsList") List<String> manageTagsList);
}
